Bug 545805 - mc crashes at startup on some colors settings
Summary: mc crashes at startup on some colors settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-09 12:02 UTC by Jirka Klimes
Modified: 2016-01-04 06:02 UTC (History)
5 users (show)

Fixed In Version: 4.7.0-0.5.pre4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-16 01:14:29 UTC
Type: ---


Attachments (Terms of Use)
call stack from gdb (1.98 KB, text/plain)
2009-12-09 12:02 UTC, Jirka Klimes
no flags Details

Description Jirka Klimes 2009-12-09 12:02:24 UTC
Created attachment 377157 [details]
call stack from gdb

Description of problem:
mc crashes at startup with SIGSEGV.
See attached callstack.

Version-Release number of selected component (if applicable):
mc-4.7.0-0.4.pre2.fc12.x86_64
glib2-2.22.2-3.fc12.x86_64

How reproducible:

It has probably something to do with colors. I fiddle with the colors, later I found out that mc crashes at start.
After I changed something in [Colors] section of ini, mc crashes no more.

Actual results:


Expected results:


Additional info:

This color settings are currently in my ini file:
[Colors]
base_color=normal=,default:selected=,:marked=,default:markselect=,:menu=,:menuhot=,:menusel=,:menuhotsel=,:dnormal=,:dfocus=,:dhotnormal=,:dhotfocus=,:input=,:reverse=,:executable=,default:directory=,default:link=,default:device=,default:special=,:core=,:helpnormal=,:helplink=,:helpslink=,:

xterm=
color_terminals=

base_color=

color_terminals=

Comment 1 Fedora Update System 2009-12-11 09:39:15 UTC
mc-4.7.0-0.5.pre4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mc-4.7.0-0.5.pre4.fc12

Comment 2 Fedora Update System 2009-12-16 01:13:41 UTC
mc-4.7.0-0.5.pre4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.